%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libqcow
Version:	20210419
Release:	1%{?dist}
Summary:	Library to access the QEMU Copy-On-Write (QCOW) image file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libqcow/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       openssl zlib
BuildRequires:	openssl-devel zlib-devel
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libqcow is a library to access the QEMU Copy-On-Write (QCOW) image file format

%package devel
Summary:	Header files and libraries for developing applications for libqcow
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description devel
Header files and libraries for developing applications for libqcow.

%package tools
Summary:	Several tools for reading QEMU Copy-On-Write (QCOW) image files
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}  fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading QEMU Copy-On-Write (QCOW) image files

%if 0%{?with_python2}
%package python2
Summary:	Python bindings for libqcow
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python
BuildRequires:	python2-devel
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}

%description python2
Python bindings for libqcow
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libqcow
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} 
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libqcow
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/qcowinfo
%attr(755,root,root) %{_bindir}/qcowmount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Apr 19 2021 Lawrence R. Rogers <lrr@cert.org> 20210419-1
* Release 20210419-1
	Version from 20210419

* Sun Dec 13 2020 Lawrence R. Rogers <lrr@cert.org> 20201213-1
* Release 20201213
	Version 20201213

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200928-2
* Release 20200928-2
	Release 2 - Removed Python 2 package

* Mon Sep 28 2020 Lawrence R. Rogers <lrr@cert.org> 20200928-1
* Release 20200928-1
	Version 20200928

* Sun Sep 27 2020 Lawrence R. Rogers <lrr@cert.org> 20200927-1
* Release 20200927-1
	Version 20200927

* Wed Jul 29 2020 Lawrence R. Rogers <lrr@cert.org> 20200729-1
* Release 20200729-1
	Version 20200729

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Sun Nov  3 2019 Lawrence R. Rogers <lrr@cert.org> 20191103-1
* Release 20191103-1
	Version 20191103

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-5
* Release 20181227-5
	Version 20181227-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227

* Sun Dec 16 2018 Lawrence R. Rogers <lrr@cert.org> 20181216-1
* Release 20181216-1
	Version 20181216

* Sat Nov 24 2018 Lawrence R. Rogers <lrr@cert.org> 20181124-1
* Release 20181124-1
	Version 20181124

* Sat Nov 17 2018 Lawrence R. Rogers <lrr@cert.org> 20181117-1
* Release 20181117-1
	Version 20181117

* Fri Aug 31 2018 Lawrence R. Rogers <lrr@cert.org> 20180831-1
* Release 20180831-1
	Version 20180831

* Sun Jan 22 2017 Lawrence R. Rogers <lrr@cert.org> 20170222-1
* Release 20170222-1
	Version 20170222

* Sat Jan 23 2016 Lawrence R. Rogers <lrr@cert.org> 20160123-1
* Release 20160123-1
	20160123
	* worked on fallback inflate implementation

	20160119
	* worked on fallback inflate implementation

	20160118
	* worked on fallback inflate implementation

	20160117
	* worked on fallback inflate implementation

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

	20160108
	* 2016 update

	20151223
	* Changes to Python bindings

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org> 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

	20150905
	* updated dependencies

	20150723
	* worked on tests

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141226
	* changes for updated dependencies

	20141221
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts

	20141201
	* worked on multi-threading support
	* code clean up
	* worked on version 3 support

	20141129
	* code clean up

	20141112
	* code clean up

	20141104
	* worked on multi-threading support
	* removed deprecated functions:
	  - libqcow_file_read_random
	  - pyqcow file.read_random

	20141029
	* bug fix in Python-bindings

	20141027
	* changes for deployment

	20141021
	* changes for deployment

	20141001
	* worked on stand-alone libcstring support

	20140920
	* changes for project site move

	20140801
	* bug fix in Python-bindings

* Tue Jul 29 2014 Lawrence R. Rogers <lrr@cert.org> 20140729-1
* Release 20140729-1
20140729
	* updated dependencies

	20140625
	* code clean up

	20140330
	* code clean up

* Fri Mar 28 2014 Joachim Metz <joachim.metz@gmail.com> 20140328-1
- Auto-generated

